package com.bocloud.ims.service.utils;

import com.bocloud.ims.common.utils.LocalAddressUtils;

/**
 * 辅助类
 *
 * @author sxp
 * @since 2023/7/4
 */
public class ZjkyHelper {
    /**
     * 获取自服务单点登陆地址
     *
     * @author sxp
     * @since 2023/7/4
     */
    public static String getSsoLink() {
        String ip = LocalAddressUtils.getLocalHostAddress();
        String link;
        if (ip.startsWith("172.22.21.")) {
            //link = "https://172.22.21.2:60008/#/sso";
            link = "https://cloudy.zjky.cn:60008/#/sso";
        } else {
            link = "https://" + ip + ":60008/#/sso";
        }
        return link;
    }
}
